## r-bioc-dir.expiry 1.2.0+ds

=== DESCRIPTION ===
Package: dir.expiry
Version: 1.2.0
Date: 2021-04-04
Title: Managing Expiration for Cache Directories
Description: Implements an expiration system for access to versioned directories.
    Directories that have not been accessed by a registered function within a certain time frame are deleted.
    This aims to reduce disk usage by eliminating obsolete caches generated by old versions of packages.
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: GPL-3
Imports: utils, filelock
Suggests: rmarkdown, knitr, testthat, BiocStyle
biocViews: Software, Infrastructure
VignetteBuilder: knitr
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/dir.expiry
git_branch: RELEASE_3_14
git_last_commit: 3ee6a95
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 21:17:51 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-dir.expiry (1.2.0+ds-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.2.0+ds
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 15:25:08 +0530

r-bioc-dir.expiry (1.0.0+ds-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Nov 2021 19:08:05 +0530

r-bioc-dir.expiry (1.0.0+ds-1) unstable; urgency=medium

  * Team upload
  * Initial release (closes: #991824)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 10:28:30 +0200

=== debian/control ===
Source: r-bioc-dir.expiry
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-filelock
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry.git
Homepage: https://bioconductor.org/packages/dir.expiry/
Rules-Requires-Root: no

Package: r-bioc-dir.expiry
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bioconductor managing expiration for cache directories
 Implements an expiration system for access to versioned directories.
 Directories that have not been accessed by a registered function within
 a certain time frame are deleted. This aims to reduce disk usage by
 eliminating obsolete caches generated by old versions of packages.

## r-bioc-dir.expiry 1.4.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: dir.expiry
-Version: 1.2.0
+Version: 1.4.0
 Date: 2021-04-04
 Title: Managing Expiration for Cache Directories
 Description: Implements an expiration system for access to versioned directories.
@@ -13,11 +13,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/dir.expiry
-git_branch: RELEASE_3_14
-git_last_commit: 3ee6a95
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 9f95040
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 21:17:51 UTC; biocbuild
+Packaged: 2022-04-26 20:29:38 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-dir.expiry (1.4.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 11:04:08 +0200

## r-bioc-dir.expiry 1.6.0%2Bds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dir.expiry
-Version: 1.4.0
-Date: 2021-04-04
+Version: 1.6.0
+Date: 2022-09-04
 Title: Managing Expiration for Cache Directories
 Description: Implements an expiration system for access to versioned directories.
     Directories that have not been accessed by a registered function within a certain time frame are deleted.
@@ -13,11 +13,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/dir.expiry
-git_branch: RELEASE_3_15
-git_last_commit: 9f95040
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 67b0702
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 20:29:38 UTC; biocbuild
+Packaged: 2022-11-01 21:22:33 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

## r-bioc-dir.expiry 1.6.0+ds

=== debian/changelog ===
r-bioc-dir.expiry (1.6.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:38:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-bioc-dir.expiry
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry.git
+Homepage: https://bioconductor.org/packages/dir.expiry/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-filelock
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry.git
-Homepage: https://bioconductor.org/packages/dir.expiry/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-dir.expiry
 Architecture: all

## r-bioc-dir.expiry 1.8.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: dir.expiry
-Version: 1.6.0
+Version: 1.8.0
 Date: 2022-09-04
 Title: Managing Expiration for Cache Directories
 Description: Implements an expiration system for access to versioned directories.
@@ -13,11 +13,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/dir.expiry
-git_branch: RELEASE_3_16
-git_last_commit: 67b0702
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 271f76c
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 21:22:33 UTC; biocbuild
+Packaged: 2023-04-25 20:54:22 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-dir.expiry (1.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 15:32:07 +0200

## r-bioc-dir.expiry 1.10.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: dir.expiry
-Version: 1.8.0
+Version: 1.10.0
 Date: 2022-09-04
 Title: Managing Expiration for Cache Directories
 Description: Implements an expiration system for access to versioned directories.
@@ -13,11 +13,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/dir.expiry
-git_branch: RELEASE_3_17
-git_last_commit: 271f76c
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 58c7811
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 20:54:22 UTC; biocbuild
+Packaged: 2023-10-24 21:00:22 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-dir.expiry (1.10.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 20:43:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry.git
 Homepage: https://bioconductor.org/packages/dir.expiry/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/dir.expiry.html .*/dir.expiry_(.*).tar.gz

## r-bioc-dir.expiry 1.12.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: dir.expiry
-Version: 1.10.0
+Version: 1.12.0
 Date: 2022-09-04
 Title: Managing Expiration for Cache Directories
 Description: Implements an expiration system for access to versioned directories.
@@ -13,11 +13,12 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/dir.expiry
-git_branch: RELEASE_3_18
-git_last_commit: 58c7811
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 141ea0d
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:00:22 UTC; biocbuild
+Packaged: 2024-05-01 03:30:50 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-dir.expiry (1.12.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:29:44 +0200

r-bioc-dir.expiry (1.12.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 11:17:50 +0200

## r-bioc-dir.expiry 1.14.0+ds

=== DESCRIPTION ===
Package: dir.expiry
Version: 1.14.0
Date: 2024-10-17
Title: Managing Expiration for Cache Directories
Description: Implements an expiration system for access to versioned directories.
    Directories that have not been accessed by a registered function within a certain time frame are deleted.
    This aims to reduce disk usage by eliminating obsolete caches generated by old versions of packages.
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: GPL-3
Imports: utils, filelock
Suggests: rmarkdown, knitr, testthat, BiocStyle
biocViews: Software, Infrastructure
VignetteBuilder: knitr
RoxygenNote: 7.3.2
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/dir.expiry
git_branch: RELEASE_3_20
git_last_commit: 350a482
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-30 00:25:47 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-dir.expiry (1.14.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:31:11 +0100

r-bioc-dir.expiry (1.14.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 21:39:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dir.expiry.git
 Homepage: https://bioconductor.org/packages/dir.expiry/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
